/*
 *  Mike Hughes <mfh@psilord.com>
 *  Papadimitriou Spiros <spapadim+@cs.cmu.edu>
 *  Bradford Hovinen <hovinen@udel.edu>
 *
 *  This code released under the GNU GPL.
 *  Read the file COPYING for more information.
 *
 *  GDict preferences window
 *
 */

#ifndef GDICT_UTILS_H
#define GDICT_UTILS_H

G_BEGIN_DECLS

GtkWidget *gdict_label_new_with_stock_image (const gchar* text, 
					     const gchar* stock_id, 
					     GtkWidget* parent);
GtkWidget *gdict_button_new_with_stock_image (const gchar* text,
					      const gchar* stock_id);
GtkWidget *gdict_dialog_add_button (GtkDialog *dialog,
				    const gchar* text,
				    const gchar* stock_id, 
				    gint response_id);

void gdict_add_atk_namedesc (GtkWidget *widget,
			     const gchar *name,
			     const gchar *desc);
void gdict_add_atk_relation (GtkWidget *obj1,
			     GtkWidget *obj2,
			     AtkRelationType rel_type);

G_END_DECLS

#endif /* GDICT_UTILS_H */
